<?php use_helper('Date')?>

<?php slot('top')?>
    <?php GenerateTab('dome'); ?>
<?php end_slot()?>

<?php slot('actions'); ?>
    <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('domeny/new')."');"); ?>
<?php end_slot(); ?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%">
    <div id="cms_center_panel"><?php include_partial('domeny/modulmenu') ?></div>

    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __("REZERWACJA DOMEN") ?></div>


        <table class="table_list">
            <thead>
                <tr>
                    <th><?php echo __("Domena nazwa") ?></th>
                    <th><?php echo __("Rejestracja prywatne") ?></th>
                    <th><?php echo __("Rejestracja komercyjne") ?></th>
                    <th><?php echo __("Rejestracja organizacje") ?></th>
                    <th><?php echo __("Akcje") ?></th>
                </tr>
            </thead>
            <tbody>
                <?php $i=1; foreach ($domeny_list as $domeny): $odd = fmod(++$i, 2); ?>
                    <tr class="row_<?php echo $odd?>">
                        <td><a href="<?php echo url_for('domeny/edit?id='.$domeny->getId()) ?>"><?php echo $domeny->getDomenaNazwa() ?></a></td>
                        <td style="text-align: center;">
                        <?php $img = $domeny->getRejestracjaPrywatne()?'tak':'nie'; ?>
                        <?php echo image_tag('admin/'.$img.'.png', array('alt_title' => __($domeny->getRejestracjaPrywatne()?'Dozwolone':'Niedozwolone')));?>
                        </td>
                        <td style="text-align: center;">
                            <?php $img = $domeny->getRejestracjaKomercyjne()?'tak':'nie'; ?>
                            <?php echo image_tag('admin/'.$img.'.png', array('alt_title' => __($domeny->getRejestracjaKomercyjne()?'Dozwolone':'Niedozwolone')));?>
                        </td>
                        <td style="text-align: center;">
                            <?php $img = $domeny->getRejestracjaOrganizacje()?'tak':'nie'; ?>
                            <?php echo image_tag('admin/'.$img.'.png', array('alt_title' => __($domeny->getRejestracjaOrganizacje()?'Dozwolone':'Niedozwolone')));?>
                        </td>

                        <td>
                            <?php echo link_to(' ', 'domeny/edit?id='.$domeny->getId(),array('class'=>'min_edit', 'title'=>__('Edytuj'))) ?>
                            <?php echo link_to(' ', 'domeny/delete?id='.$domeny->getId(), array('class'=>'min_del', 'title'=>__('Skasuj'), 'method' => 'delete', 'confirm' => __('Czy na pewno usunąć ten wpis?'))) ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                <?php if(count($domeny_list)==0): ?>
                    <tr class="row_0">
                        <td colspan="5" style="text-align: center; font-weight: bold;">
                            <?php echo __('Brak wyników') ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
            <tfoot>
                <tr><th colspan="5">
                        <div style="float:left;">
                            <?php echo __('wyników') ?>: <?php echo count($domeny_list)?>
                        </div>
                    </th></tr>
            </tfoot>
        </table>

    </div>
</div>