<?php

/**
 * domeny_zamowienia actions.
 *
 * @package    sam3
 * @subpackage domeny_zamowienia
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class domeny_zamowieniaActions extends myActions
{
  public function preExecute()
  {
  	$perm = ($this->getUser()->checkPermission('dome','edit')==1)?true:false;
    
  	if(!$perm || !in_array('dome', ModulPeer::getEnabled()))$this->forward(sfConfig::get('sf_secure_module'),sfConfig::get('sf_secure_action'));
  }

  public function executeIndex(sfWebRequest $request)
  {
    $c = new Criteria();
    if($request->getParameter('status')=='aktywne')
        $c->add(DomenyZamowieniaPeer::AKTYWNA, 1);
    if($request->getParameter('status')=='nowe')
        $c->add(DomenyZamowieniaPeer::AKTYWNA, 0);
    $this->domeny_zamowienia_list = DomenyZamowieniaPeer::doSelect($c);
  }

  public function executeNew(sfWebRequest $request)
  {
    $this->form = new DomenyZamowieniaForm();
  }

  public function executeCreate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post'));

    $this->form = new DomenyZamowieniaForm();

    $this->processForm($request, $this->form);

    $this->setTemplate('new');
  }

  public function executeEdit(sfWebRequest $request)
  {
    $this->forward404Unless($domeny_zamowienia = DomenyZamowieniaPeer::retrieveByPk($request->getParameter('id')), sprintf('Object domeny_zamowienia does not exist (%s).', $request->getParameter('id')));
    $this->form = new DomenyZamowieniaForm($domeny_zamowienia);
  }

  public function executeUpdate(sfWebRequest $request)
  {
    $this->forward404Unless($request->isMethod('post') || $request->isMethod('put'));
    $this->forward404Unless($domeny_zamowienia = DomenyZamowieniaPeer::retrieveByPk($request->getParameter('id')), sprintf('Object domeny_zamowienia does not exist (%s).', $request->getParameter('id')));
    $this->form = new DomenyZamowieniaForm($domeny_zamowienia);

    $this->processForm($request, $this->form);

    $this->setTemplate('edit');
  }

  public function executeDelete(sfWebRequest $request)
  {
    $request->checkCSRFProtection();

    $this->forward404Unless($domeny_zamowienia = DomenyZamowieniaPeer::retrieveByPk($request->getParameter('id')), sprintf('Object domeny_zamowienia does not exist (%s).', $request->getParameter('id')));
    $domeny_zamowienia->delete();
        $this->getUser()->setFlash('notice', 'Pomyślnie usunięto.');
    $this->redirect('domeny_zamowienia/index');
  }

  protected function processForm(sfWebRequest $request, sfForm $form)
  {
    $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
    if ($form->isValid())
    {
      $domeny_zamowienia = $form->save();
      $this->getUser()->setFlash('notice', $this->__('save_ok'));
      $this->redirect('domeny_zamowienia/edit?id='.$domeny_zamowienia->getId());
    }
  }

   public function executeDrukzgloszenia(sfWebRequest $request)
  {
        $id = $request->getParameter('id');
	$domena = DomenyZamowieniaPeer::retrieveByPk($id);
		if(!$domena)return $this->renderText('Brak pliku.');

		$config = sfTCPDFPluginConfigHandler::loadConfig();

		$pdf = new sfTCPDF();

		$naglowek = 'Wygenerowano: '.date('Y-m-d/H:i:s');

		$pdf->SetFont("FreeSerif", "", 12);
		$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
		$pdf->setHeaderFont(array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
		$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, $naglowek);
		$pdf->setFooterFont(array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
		$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
		$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

		// init pdf doc
		$pdf->AliasNbPages();
		$pdf->AddPage();

		$html = '<table>';
		$html .= '<tr><td><h2>WNIOSEK O REJESTRACJĘ DOMENY<br /></h2></td></tr>';
		$html .= '<tr><td><h3>DOMENA</h3></td></tr>';


 		$html .= '<tr><td>Nazwa domeny (*) '.$domena->getDomenaNazwa().'.'.$domena->getDomeny().'</td></tr>';
                $html .= '<tr><td>Uzasadnienie prawa do posługiwania się nazwą domeny (*) '.$domena->getUzasadnienie().'<br /><br /></td></tr>';

                $html .= '<tr><td><h3>INFORMACJE O WNIOSKODAWCY</h3></td></tr>';
 		$html .= '<tr><td>Imię (*) '.$domena->getImie().'</td></tr>';
                $html .= '<tr><td>Nazwisko (*) '.$domena->getNazwisko().'</td></tr>';
                $html .= '<tr><td>Nazwa firmy '.$domena->getNazwaFirmy().'</td></tr>';
                $html .= '<tr><td>Adres (*) '.$domena->getAdres().'</td></tr>';
                $html .= '<tr><td>Kod pocztowy, miasto (*) '.$domena->getKod().', '.$domena->getMiasto().'</td></tr>';
                $html .= '<tr><td>NIP '.$domena->getNip().'</td></tr>';
                $html .= '<tr><td>Telefon (*) '.$domena->getTelefon().'</td></tr>';
                $html .= '<tr><td>Adres e-mail (*) '.$domena->getEmail().'</td></tr>';
                $html .= '<tr><td>Reprezentant wnioskodawcy '.$domena->getReprezentant().'</td></tr>';
                $html .= '<tr><td>Adres e-mail reprezentanta '.$domena->getReprezentantEmail().'<br /><br /></td></tr>';
                $html .= '<tr><td><h3>INFORMACJE ADRESOWE STRONY</h3></td></tr>';
                $html .= '<tr><td>Obecna nazwa strony (*) '.$domena->getObecnaNazwaStrony().'</td></tr>';
                $html .= '<tr><td>Adres IP (*) '.$domena->getAdresIp().'</td></tr>';
                $html .= '<tr><td>Podstawowy serwer DNS '.$domena->getDns1().'</td></tr>';
                $html .= '<tr><td>Zapasowy serwer DNS '.$domena->getDns2().'</td></tr>';
                $html .= '<tr><td>Nazwa usługodawcy (*) '.$domena->getNazwaUslugodawcy().'</td></tr>';
                $html .= '<tr><td>Imię i nazwisko osoby odpowiedzialnej (*) '.$domena->getOsobaOdpowiedzialna().'</td></tr>';
                $html .= '<tr><td>Adres e-mail usługodawcy (*) '.$domena->getEmailUslugodawcy().'</td></tr>';
                $html .= '<tr><td>Telefon usługodawcy (*) '.$domena->getEmailUslugodawcy().'</td></tr>';

                $html .= '<tr><td><br /><br />(*) - pola wymagane</td></tr>';

                $html .= '<tr><td><br /><br />Akceptuję postanowienia regulaminu rejestracji i utrzymania domen internetowych w domenie drugiego stopnia "'.$domena->getDomeny().'", zarówno co do zasad rejestracji jak i postępowania w sprawie.</td></tr>';

                $html .= '<tr><td><br /><br /><br />..............................</td></tr>';
                 $html .= '<tr><td><div style="margin-left: 200px;">(data, podpis)</div></td></tr>';
                $html .= '</table> ';


		$current_x = $pdf->getX();
		$current_y = $pdf->getY();
		$pdf->writeHTMLCell(180, 0, $current_x, $current_y, $html, 0, 0, 0);
		$pdf->lastPage();

		// output
		$title = 'WNIOSEK O REJESTRACJE DOMENY';
		$pdf->Output($title, 'D');
		return sfView::NONE;

  }
}
