<?php

class domenyActions extends sfActions {
    public function preExecute() {
        if (!in_array('dome', ModulPeer::getEnabled())) {
            $this->redirect('@homepage');
        }
        $this->getResponse()->addStylesheet('portal/domeny', 'last');
    }

    public function executeIndex(sfWebRequest $request) {
        $this->domeny_list = DomenyPeer::doSelect(new Criteria());
    }

    public function executeGetSearchForm(sfWebRequest $request) {
        $this->forward('portal', 'getSearchForm');
    }

    public function executeCheck(sfWebRequest $request) {
        $domena = $request->getParameter('domena');
        $this->domena_id = $request->getParameter('domena_id');

        $subdomena = $request->getParameter('subdomena');
        $this->subdomena = $subdomena;

        $domain = $subdomena . '.' . $domena;
        $this->domain = $domain;

        if ($this->checkDomainAvailability($domain)) {
            $this->dostepna = true;
        } else {
            $this->dostepna = false;
        }
    }

    public function executeRegulamin(sfWebRequest $request) {
        $dane_domeny = DomenyPeer::retrieveByPk($request->getParameter('domena'));
        switch ($request->getParameter('kto')) {
            case 'prywatne':
                $this->regulamin = $dane_domeny->getRegulaminPrywatne();
                break;
            case 'komercyjne':
                $this->regulamin = $dane_domeny->getRegulaminKomercyjne();
                break;
            case 'organizacje':
                $this->regulamin = $dane_domeny->getRegulaminOrganizacje();
                break;
            default:
                $this->regulamin = '';
        }
        $this->dane_domeny = $dane_domeny;
        $this->domena = $request->getParameter('domena');
        $this->subdomena = $request->getParameter('subdomena');
    }

    public function executeRegulaminaccept(sfWebRequest $request) {
        $this->dane_domeny = DomenyPeer::retrieveByPk($request->getParameter('domena_id'));

        $this->domena = $request->getParameter('domena');
        $this->subdomena = $request->getParameter('subdomena');
    }

    public function executeRejestracja(sfWebRequest $request) {
        $this->dane_domeny = DomenyPeer::retrieveByPk($request->getParameter('domena_id'));

        $this->domena = $request->getParameter('domena');
        $this->subdomena = $request->getParameter('subdomena');
        $this->form = new DomenyZamowieniaUserForm();
        $this->form->setDefault('domena_nazwa', $request->getParameter('subdomena'));
        $this->form->setDefault('domena_id', $request->getParameter('domena_id'));
    }

    public function executeCreate(sfWebRequest $request) {
        $this->forward404Unless($request->isMethod('post'));

        $this->form = new DomenyZamowieniaUserForm();

        $this->processForm($request, $this->form);

        $this->setTemplate('rejestracja');
    }

    protected function processForm(sfWebRequest $request, sfForm $form) {
        $form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
        if ($form->isValid()) {
            $domeny_zamowienia = $form->save();

            //do sesji zapisujemy id zamowienia
            $this->getUser()->setAttribute('zamowienie', $domeny_zamowienia->getId());

            $this->redirect('domeny/confirm');
        }
    }

    public function executeConfirm(sfWebRequest $request) {
        $id = $this->getUser()->getAttribute('zamowienie');
        $this->forward404Unless($id != '');
    }

    protected function checkDomainAvailability($domain) {
        if (preg_match('/[;\&\|\>\<]/', $domain)) {
            exit;
        }

        exec("nslookup " . escapeshellarg($domain), $output);
        //jak ktos wymysli lepszy patent prosze o info

        $result = implode("\n", $output);

        return (strpos($result, 'server can\'t find') !== false);
    }

}

?>
