<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Domeny filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseDomenyFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'domena_nazwa'            => new sfWidgetFormFilterInput(),
      'rejestracja_prywatne'    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'rejestracja_komercyjne'  => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'rejestracja_organizacje' => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'regulamin_prywatne'      => new sfWidgetFormFilterInput(),
      'regulamin_komercyjne'    => new sfWidgetFormFilterInput(),
      'regulamin_organizacje'   => new sfWidgetFormFilterInput(),
      'created_at'              => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'updated_at'              => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
    ));

    $this->setValidators(array(
      'domena_nazwa'            => new sfValidatorPass(array('required' => false)),
      'rejestracja_prywatne'    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'rejestracja_komercyjne'  => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'rejestracja_organizacje' => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'regulamin_prywatne'      => new sfValidatorPass(array('required' => false)),
      'regulamin_komercyjne'    => new sfValidatorPass(array('required' => false)),
      'regulamin_organizacje'   => new sfValidatorPass(array('required' => false)),
      'created_at'              => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'updated_at'              => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
    ));

    $this->widgetSchema->setNameFormat('domeny_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Domeny';
  }

  public function getFields()
  {
    return array(
      'id'                      => 'Number',
      'domena_nazwa'            => 'Text',
      'rejestracja_prywatne'    => 'Boolean',
      'rejestracja_komercyjne'  => 'Boolean',
      'rejestracja_organizacje' => 'Boolean',
      'regulamin_prywatne'      => 'Text',
      'regulamin_komercyjne'    => 'Text',
      'regulamin_organizacje'   => 'Text',
      'created_at'              => 'Date',
      'updated_at'              => 'Date',
    );
  }
}
