<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * DomenyZamowienia filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseDomenyZamowieniaFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'domena_id'            => new sfWidgetFormPropelChoice(array('model' => 'Domeny', 'add_empty' => true)),
      'domena_nazwa'         => new sfWidgetFormFilterInput(),
      'uzasadnienie'         => new sfWidgetFormFilterInput(),
      'imie'                 => new sfWidgetFormFilterInput(),
      'nazwisko'             => new sfWidgetFormFilterInput(),
      'nazwa_firmy'          => new sfWidgetFormFilterInput(),
      'adres'                => new sfWidgetFormFilterInput(),
      'kod'                  => new sfWidgetFormFilterInput(),
      'miasto'               => new sfWidgetFormFilterInput(),
      'nip'                  => new sfWidgetFormFilterInput(),
      'telefon'              => new sfWidgetFormFilterInput(),
      'email'                => new sfWidgetFormFilterInput(),
      'reprezentant'         => new sfWidgetFormFilterInput(),
      'reprezentant_email'   => new sfWidgetFormFilterInput(),
      'obecna_nazwa_strony'  => new sfWidgetFormFilterInput(),
      'adres_ip'             => new sfWidgetFormFilterInput(),
      'dns1'                 => new sfWidgetFormFilterInput(),
      'dns2'                 => new sfWidgetFormFilterInput(),
      'nazwa_uslugodawcy'    => new sfWidgetFormFilterInput(),
      'osoba_odpowiedzialna' => new sfWidgetFormFilterInput(),
      'email_uslugodawcy'    => new sfWidgetFormFilterInput(),
      'telefon_uslugodawcy'  => new sfWidgetFormFilterInput(),
      'aktywna'              => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'aktywna_od'           => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'aktywna_do'           => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'created_at'           => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'updated_at'           => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
    ));

    $this->setValidators(array(
      'domena_id'            => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Domeny', 'column' => 'id')),
      'domena_nazwa'         => new sfValidatorPass(array('required' => false)),
      'uzasadnienie'         => new sfValidatorPass(array('required' => false)),
      'imie'                 => new sfValidatorPass(array('required' => false)),
      'nazwisko'             => new sfValidatorPass(array('required' => false)),
      'nazwa_firmy'          => new sfValidatorPass(array('required' => false)),
      'adres'                => new sfValidatorPass(array('required' => false)),
      'kod'                  => new sfValidatorPass(array('required' => false)),
      'miasto'               => new sfValidatorPass(array('required' => false)),
      'nip'                  => new sfValidatorPass(array('required' => false)),
      'telefon'              => new sfValidatorPass(array('required' => false)),
      'email'                => new sfValidatorPass(array('required' => false)),
      'reprezentant'         => new sfValidatorPass(array('required' => false)),
      'reprezentant_email'   => new sfValidatorPass(array('required' => false)),
      'obecna_nazwa_strony'  => new sfValidatorPass(array('required' => false)),
      'adres_ip'             => new sfValidatorPass(array('required' => false)),
      'dns1'                 => new sfValidatorPass(array('required' => false)),
      'dns2'                 => new sfValidatorPass(array('required' => false)),
      'nazwa_uslugodawcy'    => new sfValidatorPass(array('required' => false)),
      'osoba_odpowiedzialna' => new sfValidatorPass(array('required' => false)),
      'email_uslugodawcy'    => new sfValidatorPass(array('required' => false)),
      'telefon_uslugodawcy'  => new sfValidatorPass(array('required' => false)),
      'aktywna'              => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'aktywna_od'           => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'aktywna_do'           => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'created_at'           => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'updated_at'           => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
    ));

    $this->widgetSchema->setNameFormat('domeny_zamowienia_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'DomenyZamowienia';
  }

  public function getFields()
  {
    return array(
      'id'                   => 'Number',
      'domena_id'            => 'ForeignKey',
      'domena_nazwa'         => 'Text',
      'uzasadnienie'         => 'Text',
      'imie'                 => 'Text',
      'nazwisko'             => 'Text',
      'nazwa_firmy'          => 'Text',
      'adres'                => 'Text',
      'kod'                  => 'Text',
      'miasto'               => 'Text',
      'nip'                  => 'Text',
      'telefon'              => 'Text',
      'email'                => 'Text',
      'reprezentant'         => 'Text',
      'reprezentant_email'   => 'Text',
      'obecna_nazwa_strony'  => 'Text',
      'adres_ip'             => 'Text',
      'dns1'                 => 'Text',
      'dns2'                 => 'Text',
      'nazwa_uslugodawcy'    => 'Text',
      'osoba_odpowiedzialna' => 'Text',
      'email_uslugodawcy'    => 'Text',
      'telefon_uslugodawcy'  => 'Text',
      'aktywna'              => 'Boolean',
      'aktywna_od'           => 'Date',
      'aktywna_do'           => 'Date',
      'created_at'           => 'Date',
      'updated_at'           => 'Date',
    );
  }
}
