<?php



class DomenyZamowieniaMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.DomenyZamowieniaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(DomenyZamowieniaPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(DomenyZamowieniaPeer::TABLE_NAME);
		$tMap->setPhpName('DomenyZamowienia');
		$tMap->setClassname('DomenyZamowienia');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addForeignKey('DOMENA_ID', 'DomenaId', 'INTEGER', 'domeny', 'ID', true, null);

		$tMap->addColumn('DOMENA_NAZWA', 'DomenaNazwa', 'VARCHAR', true, 255);

		$tMap->addColumn('UZASADNIENIE', 'Uzasadnienie', 'LONGVARCHAR', true, null);

		$tMap->addColumn('IMIE', 'Imie', 'VARCHAR', true, 255);

		$tMap->addColumn('NAZWISKO', 'Nazwisko', 'VARCHAR', true, 255);

		$tMap->addColumn('NAZWA_FIRMY', 'NazwaFirmy', 'VARCHAR', false, 255);

		$tMap->addColumn('ADRES', 'Adres', 'VARCHAR', true, 255);

		$tMap->addColumn('KOD', 'Kod', 'VARCHAR', true, 20);

		$tMap->addColumn('MIASTO', 'Miasto', 'VARCHAR', true, 100);

		$tMap->addColumn('NIP', 'Nip', 'VARCHAR', false, 50);

		$tMap->addColumn('TELEFON', 'Telefon', 'VARCHAR', true, 50);

		$tMap->addColumn('EMAIL', 'Email', 'VARCHAR', true, 100);

		$tMap->addColumn('REPREZENTANT', 'Reprezentant', 'VARCHAR', false, 255);

		$tMap->addColumn('REPREZENTANT_EMAIL', 'ReprezentantEmail', 'VARCHAR', false, 255);

		$tMap->addColumn('OBECNA_NAZWA_STRONY', 'ObecnaNazwaStrony', 'VARCHAR', true, 255);

		$tMap->addColumn('ADRES_IP', 'AdresIp', 'VARCHAR', true, 100);

		$tMap->addColumn('DNS1', 'Dns1', 'VARCHAR', false, 20);

		$tMap->addColumn('DNS2', 'Dns2', 'VARCHAR', false, 20);

		$tMap->addColumn('NAZWA_USLUGODAWCY', 'NazwaUslugodawcy', 'VARCHAR', true, 255);

		$tMap->addColumn('OSOBA_ODPOWIEDZIALNA', 'OsobaOdpowiedzialna', 'VARCHAR', true, 255);

		$tMap->addColumn('EMAIL_USLUGODAWCY', 'EmailUslugodawcy', 'VARCHAR', true, 100);

		$tMap->addColumn('TELEFON_USLUGODAWCY', 'TelefonUslugodawcy', 'VARCHAR', true, 50);

		$tMap->addColumn('AKTYWNA', 'Aktywna', 'BOOLEAN', false, null);

		$tMap->addColumn('AKTYWNA_OD', 'AktywnaOd', 'TIMESTAMP', false, null);

		$tMap->addColumn('AKTYWNA_DO', 'AktywnaDo', 'TIMESTAMP', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

	} 
} 