<?php


abstract class BaseDomeny extends BaseObject  implements Persistent {


  const PEER = 'DomenyPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $domena_nazwa;

	
	protected $rejestracja_prywatne;

	
	protected $rejestracja_komercyjne;

	
	protected $rejestracja_organizacje;

	
	protected $regulamin_prywatne;

	
	protected $regulamin_komercyjne;

	
	protected $regulamin_organizacje;

	
	protected $created_at;

	
	protected $updated_at;

	
	protected $collDomenyZamowienias;

	
	private $lastDomenyZamowieniaCriteria = null;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->rejestracja_prywatne = false;
		$this->rejestracja_komercyjne = false;
		$this->rejestracja_organizacje = false;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getDomenaNazwa()
	{
		return $this->domena_nazwa;
	}

	
	public function getRejestracjaPrywatne()
	{
		return $this->rejestracja_prywatne;
	}

	
	public function getRejestracjaKomercyjne()
	{
		return $this->rejestracja_komercyjne;
	}

	
	public function getRejestracjaOrganizacje()
	{
		return $this->rejestracja_organizacje;
	}

	
	public function getRegulaminPrywatne()
	{
		return $this->regulamin_prywatne;
	}

	
	public function getRegulaminKomercyjne()
	{
		return $this->regulamin_komercyjne;
	}

	
	public function getRegulaminOrganizacje()
	{
		return $this->regulamin_organizacje;
	}

	
	public function getCreatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->created_at === null) {
			return null;
		}


		if ($this->created_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->created_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->created_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUpdatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->updated_at === null) {
			return null;
		}


		if ($this->updated_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->updated_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->updated_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = DomenyPeer::ID;
		}

		return $this;
	} 
	
	public function setDomenaNazwa($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->domena_nazwa !== $v) {
			$this->domena_nazwa = $v;
			$this->modifiedColumns[] = DomenyPeer::DOMENA_NAZWA;
		}

		return $this;
	} 
	
	public function setRejestracjaPrywatne($v)
	{
		if ($v !== null) {
			$v = (boolean) $v;
		}

		if ($this->rejestracja_prywatne !== $v || $v === false) {
			$this->rejestracja_prywatne = $v;
			$this->modifiedColumns[] = DomenyPeer::REJESTRACJA_PRYWATNE;
		}

		return $this;
	} 
	
	public function setRejestracjaKomercyjne($v)
	{
		if ($v !== null) {
			$v = (boolean) $v;
		}

		if ($this->rejestracja_komercyjne !== $v || $v === false) {
			$this->rejestracja_komercyjne = $v;
			$this->modifiedColumns[] = DomenyPeer::REJESTRACJA_KOMERCYJNE;
		}

		return $this;
	} 
	
	public function setRejestracjaOrganizacje($v)
	{
		if ($v !== null) {
			$v = (boolean) $v;
		}

		if ($this->rejestracja_organizacje !== $v || $v === false) {
			$this->rejestracja_organizacje = $v;
			$this->modifiedColumns[] = DomenyPeer::REJESTRACJA_ORGANIZACJE;
		}

		return $this;
	} 
	
	public function setRegulaminPrywatne($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->regulamin_prywatne !== $v) {
			$this->regulamin_prywatne = $v;
			$this->modifiedColumns[] = DomenyPeer::REGULAMIN_PRYWATNE;
		}

		return $this;
	} 
	
	public function setRegulaminKomercyjne($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->regulamin_komercyjne !== $v) {
			$this->regulamin_komercyjne = $v;
			$this->modifiedColumns[] = DomenyPeer::REGULAMIN_KOMERCYJNE;
		}

		return $this;
	} 
	
	public function setRegulaminOrganizacje($v)
	{
		if ($v !== null) {
			$v = (string) $v;
		}

		if ($this->regulamin_organizacje !== $v) {
			$this->regulamin_organizacje = $v;
			$this->modifiedColumns[] = DomenyPeer::REGULAMIN_ORGANIZACJE;
		}

		return $this;
	} 
	
	public function setCreatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->created_at !== null || $dt !== null ) {
			
			$currNorm = ($this->created_at !== null && $tmpDt = new DateTime($this->created_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->created_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = DomenyPeer::CREATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUpdatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->updated_at !== null || $dt !== null ) {
			
			$currNorm = ($this->updated_at !== null && $tmpDt = new DateTime($this->updated_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->updated_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = DomenyPeer::UPDATED_AT;
			}
		} 
		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(DomenyPeer::REJESTRACJA_PRYWATNE,DomenyPeer::REJESTRACJA_KOMERCYJNE,DomenyPeer::REJESTRACJA_ORGANIZACJE))) {
				return false;
			}

			if ($this->rejestracja_prywatne !== false) {
				return false;
			}

			if ($this->rejestracja_komercyjne !== false) {
				return false;
			}

			if ($this->rejestracja_organizacje !== false) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->domena_nazwa = ($row[$startcol + 1] !== null) ? (string) $row[$startcol + 1] : null;
			$this->rejestracja_prywatne = ($row[$startcol + 2] !== null) ? (boolean) $row[$startcol + 2] : null;
			$this->rejestracja_komercyjne = ($row[$startcol + 3] !== null) ? (boolean) $row[$startcol + 3] : null;
			$this->rejestracja_organizacje = ($row[$startcol + 4] !== null) ? (boolean) $row[$startcol + 4] : null;
			$this->regulamin_prywatne = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->regulamin_komercyjne = ($row[$startcol + 6] !== null) ? (string) $row[$startcol + 6] : null;
			$this->regulamin_organizacje = ($row[$startcol + 7] !== null) ? (string) $row[$startcol + 7] : null;
			$this->created_at = ($row[$startcol + 8] !== null) ? (string) $row[$startcol + 8] : null;
			$this->updated_at = ($row[$startcol + 9] !== null) ? (string) $row[$startcol + 9] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 10; 
		} catch (Exception $e) {
			throw new PropelException("Error populating Domeny object", $e);
		}
	}

	
	public function ensureConsistency()
	{

	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(DomenyPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = DomenyPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->collDomenyZamowienias = null;
			$this->lastDomenyZamowieniaCriteria = null;

		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(DomenyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			DomenyPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(DomenyPeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

    if ($this->isModified() && !$this->isColumnModified(DomenyPeer::UPDATED_AT))
    {
      $this->setUpdatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(DomenyPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			DomenyPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

			if ($this->isNew() ) {
				$this->modifiedColumns[] = DomenyPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = DomenyPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += DomenyPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			if ($this->collDomenyZamowienias !== null) {
				foreach ($this->collDomenyZamowienias as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


			if (($retval = DomenyPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}


				if ($this->collDomenyZamowienias !== null) {
					foreach ($this->collDomenyZamowienias as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}


			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = DomenyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getDomenaNazwa();
				break;
			case 2:
				return $this->getRejestracjaPrywatne();
				break;
			case 3:
				return $this->getRejestracjaKomercyjne();
				break;
			case 4:
				return $this->getRejestracjaOrganizacje();
				break;
			case 5:
				return $this->getRegulaminPrywatne();
				break;
			case 6:
				return $this->getRegulaminKomercyjne();
				break;
			case 7:
				return $this->getRegulaminOrganizacje();
				break;
			case 8:
				return $this->getCreatedAt();
				break;
			case 9:
				return $this->getUpdatedAt();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = DomenyPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getDomenaNazwa(),
			$keys[2] => $this->getRejestracjaPrywatne(),
			$keys[3] => $this->getRejestracjaKomercyjne(),
			$keys[4] => $this->getRejestracjaOrganizacje(),
			$keys[5] => $this->getRegulaminPrywatne(),
			$keys[6] => $this->getRegulaminKomercyjne(),
			$keys[7] => $this->getRegulaminOrganizacje(),
			$keys[8] => $this->getCreatedAt(),
			$keys[9] => $this->getUpdatedAt(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = DomenyPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setDomenaNazwa($value);
				break;
			case 2:
				$this->setRejestracjaPrywatne($value);
				break;
			case 3:
				$this->setRejestracjaKomercyjne($value);
				break;
			case 4:
				$this->setRejestracjaOrganizacje($value);
				break;
			case 5:
				$this->setRegulaminPrywatne($value);
				break;
			case 6:
				$this->setRegulaminKomercyjne($value);
				break;
			case 7:
				$this->setRegulaminOrganizacje($value);
				break;
			case 8:
				$this->setCreatedAt($value);
				break;
			case 9:
				$this->setUpdatedAt($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = DomenyPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setDomenaNazwa($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setRejestracjaPrywatne($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setRejestracjaKomercyjne($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setRejestracjaOrganizacje($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setRegulaminPrywatne($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setRegulaminKomercyjne($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setRegulaminOrganizacje($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setCreatedAt($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setUpdatedAt($arr[$keys[9]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(DomenyPeer::DATABASE_NAME);

		if ($this->isColumnModified(DomenyPeer::ID)) $criteria->add(DomenyPeer::ID, $this->id);
		if ($this->isColumnModified(DomenyPeer::DOMENA_NAZWA)) $criteria->add(DomenyPeer::DOMENA_NAZWA, $this->domena_nazwa);
		if ($this->isColumnModified(DomenyPeer::REJESTRACJA_PRYWATNE)) $criteria->add(DomenyPeer::REJESTRACJA_PRYWATNE, $this->rejestracja_prywatne);
		if ($this->isColumnModified(DomenyPeer::REJESTRACJA_KOMERCYJNE)) $criteria->add(DomenyPeer::REJESTRACJA_KOMERCYJNE, $this->rejestracja_komercyjne);
		if ($this->isColumnModified(DomenyPeer::REJESTRACJA_ORGANIZACJE)) $criteria->add(DomenyPeer::REJESTRACJA_ORGANIZACJE, $this->rejestracja_organizacje);
		if ($this->isColumnModified(DomenyPeer::REGULAMIN_PRYWATNE)) $criteria->add(DomenyPeer::REGULAMIN_PRYWATNE, $this->regulamin_prywatne);
		if ($this->isColumnModified(DomenyPeer::REGULAMIN_KOMERCYJNE)) $criteria->add(DomenyPeer::REGULAMIN_KOMERCYJNE, $this->regulamin_komercyjne);
		if ($this->isColumnModified(DomenyPeer::REGULAMIN_ORGANIZACJE)) $criteria->add(DomenyPeer::REGULAMIN_ORGANIZACJE, $this->regulamin_organizacje);
		if ($this->isColumnModified(DomenyPeer::CREATED_AT)) $criteria->add(DomenyPeer::CREATED_AT, $this->created_at);
		if ($this->isColumnModified(DomenyPeer::UPDATED_AT)) $criteria->add(DomenyPeer::UPDATED_AT, $this->updated_at);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(DomenyPeer::DATABASE_NAME);

		$criteria->add(DomenyPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setDomenaNazwa($this->domena_nazwa);

		$copyObj->setRejestracjaPrywatne($this->rejestracja_prywatne);

		$copyObj->setRejestracjaKomercyjne($this->rejestracja_komercyjne);

		$copyObj->setRejestracjaOrganizacje($this->rejestracja_organizacje);

		$copyObj->setRegulaminPrywatne($this->regulamin_prywatne);

		$copyObj->setRegulaminKomercyjne($this->regulamin_komercyjne);

		$copyObj->setRegulaminOrganizacje($this->regulamin_organizacje);

		$copyObj->setCreatedAt($this->created_at);

		$copyObj->setUpdatedAt($this->updated_at);


		if ($deepCopy) {
									$copyObj->setNew(false);

			foreach ($this->getDomenyZamowienias() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addDomenyZamowienia($relObj->copy($deepCopy));
				}
			}

		} 

		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new DomenyPeer();
		}
		return self::$peer;
	}

	
	public function clearDomenyZamowienias()
	{
		$this->collDomenyZamowienias = null; 	}

	
	public function initDomenyZamowienias()
	{
		$this->collDomenyZamowienias = array();
	}

	
	public function getDomenyZamowienias($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(DomenyPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collDomenyZamowienias === null) {
			if ($this->isNew()) {
			   $this->collDomenyZamowienias = array();
			} else {

				$criteria->add(DomenyZamowieniaPeer::DOMENA_ID, $this->id);

				DomenyZamowieniaPeer::addSelectColumns($criteria);
				$this->collDomenyZamowienias = DomenyZamowieniaPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(DomenyZamowieniaPeer::DOMENA_ID, $this->id);

				DomenyZamowieniaPeer::addSelectColumns($criteria);
				if (!isset($this->lastDomenyZamowieniaCriteria) || !$this->lastDomenyZamowieniaCriteria->equals($criteria)) {
					$this->collDomenyZamowienias = DomenyZamowieniaPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastDomenyZamowieniaCriteria = $criteria;
		return $this->collDomenyZamowienias;
	}

	
	public function countDomenyZamowienias(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(DomenyPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collDomenyZamowienias === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(DomenyZamowieniaPeer::DOMENA_ID, $this->id);

				$count = DomenyZamowieniaPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(DomenyZamowieniaPeer::DOMENA_ID, $this->id);

				if (!isset($this->lastDomenyZamowieniaCriteria) || !$this->lastDomenyZamowieniaCriteria->equals($criteria)) {
					$count = DomenyZamowieniaPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collDomenyZamowienias);
				}
			} else {
				$count = count($this->collDomenyZamowienias);
			}
		}
		return $count;
	}

	
	public function addDomenyZamowienia(DomenyZamowienia $l)
	{
		if ($this->collDomenyZamowienias === null) {
			$this->initDomenyZamowienias();
		}
		if (!in_array($l, $this->collDomenyZamowienias, true)) { 			array_push($this->collDomenyZamowienias, $l);
			$l->setDomeny($this);
		}
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
			if ($this->collDomenyZamowienias) {
				foreach ((array) $this->collDomenyZamowienias as $o) {
					$o->clearAllReferences($deep);
				}
			}
		} 
		$this->collDomenyZamowienias = null;
	}

} 